function param = DisRFC_defaultParam
% param = DisRFC_defaultParam
% Set default parameters
%
% Dissimilarity Random Forest Clustering
% (c) Manuele Bicego 2020
% For all details please refer to
% M. Bicego: "Dissimilarity Random Forest Clustering", 
% Proc. Int. Conf. on Data Mining (ICDM2020)
%
%
% Default parameters
% ------------------
% param.UDT - type of Uns. Diss. Trees
% % 1: Rand
% % 2: HausD 
% % 3: RenyiD
%
param.UDT = 1;

% param.emb - type of Embedding with UD-RF
% % 1: One Partition (leaves level)
% % 2: Multiple Partitions
param.emb = 1;
param.MPparam = 3; % partitions in MP


% param.ensC - type of ensemble clustering
% % 1: KM-SED: Kmeans with Squared Euclidean Distance
% % 2: KM-KL:  K-means with KL divergence
% % 3: K-medoids: K-medoids
% % 4: K-modes: K-modes
param.ensC = 1;


% param.ntrees - number of trees
param.ntrees = 100;

% param.maxDepth - max depth
param.maxDepth = inf;

% param.minsizeSplit - min number of objects in a node
%                   to perform a split
param.minsizeSplit = 10;

% param.sampling - objects to sample to build each tree
% % if less than 1 -> the fraction of objects used to build each tree
% % if larger than 1 -> the number of objects used to build each tree
param.sampling = 128;

% param.NrandInit - number of random repetitions
param.NrandInit = 10;

% param.nrandKM - repetitions for all kmeans methods 
param.nrandKM = 20; 

% param.maxTrialsSplit - maximum number of random splits among
       % which chosing the best pair for splitting
param.maxTrialsSplit = 20;

% param.renyidivAlpha - alpha for the Renyi Divergence
param.renyidivAlpha = 0.9999;

% display something
param.verbose = 1;

